Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class ConsentType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.ConsentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:22+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsentType

extends Object
implements Serializable

Java class for ConsentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CONSENT" maxOccurs="2"/>
             <element name="signdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="revokedate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AuthorWithPatientAndPersonType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsentType()`

Method Summary
`AuthorWithPatientAndPersonType` | `getAuthor()` Gets the value of the author property.
`List<CDCONSENT>` | `getCds()` Gets the value of the cds property.
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`org.joda.time.DateTime` | `getRevokedate()` Gets the value of the revokedate property.
`org.joda.time.DateTime` | `getSigndate()` Gets the value of the signdate property.
`void` | `setAuthor(AuthorWithPatientAndPersonType value)` Sets the value of the author property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
`void` | `setRevokedate(org.joda.time.DateTime value)` Sets the value of the revokedate property.
`void` | `setSigndate(org.joda.time.DateTime value)` Sets the value of the signdate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsentType

    public ConsentType()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getCds

    public List<CDCONSENT> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDCONSENT`

### getSigndate

    public org.joda.time.DateTime getSigndate()

  Gets the value of the signdate property.

  Returns:
    possible object is `String`

### setSigndate

    public void setSigndate(org.joda.time.DateTime value)

  Sets the value of the signdate property.

  Parameters:
    `value` - allowed object is `String`

### getRevokedate

    public org.joda.time.DateTime getRevokedate()

  Gets the value of the revokedate property.

  Returns:
    possible object is `String`

### setRevokedate

    public void setRevokedate(org.joda.time.DateTime value)

  Sets the value of the revokedate property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public AuthorWithPatientAndPersonType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorWithPatientAndPersonType`

### setAuthor

    public void setAuthor(AuthorWithPatientAndPersonType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorWithPatientAndPersonType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.